> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create geofence

> Creates a new geofence.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json post /v1/accounts/{accountId}/geofences
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/geofences:
    post:
      tags:
        - geofences
      summary: Create geofence
      description: Creates a new geofence.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGeofenceRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateGeofenceRequest:
      required:
        - externalId
        - name
      type: object
      properties:
        externalId:
          type: string
          description: The unique ID of this resource in your application.
        name:
          type: string
        points:
          type:
            - 'null'
            - array
          items:
            type: array
            items:
              pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
              type:
                - number
                - string
              format: double
          description: >-
            For a polygon geofence, the longitude/latitude pairs of the outside
            of the geofence.
        center:
          type:
            - 'null'
            - array
          items:
            pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
            type:
              - number
              - string
            format: double
          description: >-
            For a circle geofence, the longitude and latitude of the center of
            the circle.
        radius:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          description: For a circle geofence, the radius of the circle (in meters).
          format: double
    IdResponse:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          format: uuid
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````